GNU bug report logs - #26455
Emacs Packaging

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Muto <muto.lachen@HIDDEN>; Forwarded to http://lists.gnu.org/r/emacs-devel/2018-04/msg00507.html; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Set bug forwarded-to-address to 'http://lists.gnu.org/r/emacs-devel/2018-04/msg00507.html'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26455 <at> debbugs.gnu.org:


Received: (at 26455) by debbugs.gnu.org; 17 Apr 2017 17:16:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 17 13:16:27 2017
Received: from localhost ([127.0.0.1]:52784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d0AGJ-0003Nw-L2
	for submit <at> debbugs.gnu.org; Mon, 17 Apr 2017 13:16:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1d0ADk-00024A-AW
 for 26455 <at> debbugs.gnu.org; Mon, 17 Apr 2017 13:13:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1d0ADd-0003e1-S3
 for 26455 <at> debbugs.gnu.org; Mon, 17 Apr 2017 13:13:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 RP_MATCHES_RCVD,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48312)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1d0ADd-0003dt-KT
 for 26455 <at> debbugs.gnu.org; Mon, 17 Apr 2017 13:13:41 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1d0ADd-000824-BG
 for 26455 <at> debbugs.gnu.org; Mon, 17 Apr 2017 13:13:41 -0400
Resent-Message-ID: <22772.63428.965621.790242@HIDDEN>
Resent-Date: Mon, 17 Apr 2017 13:13:40 -0400
Resent-From: Glenn Morris <rgm@HIDDEN>
Resent-To: 26455 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=tutanota.com;
 s=20161216; t=1492316759;
 bh=KHQxgJPgmRLJ0alFeVI8gA0Jh1n1tPF0ykz6w+0flr4=;
 h=Date:From:To:In-Reply-To:References:Subject:From;
 b=mnFSREY3z/buYbgmfOmRn2RZS8Gwl/AFGp9IFat9aDC1uhoPwEwlX5qXfRc1yabwG
 yH6w5vvdtn6PF1EBO/MpetDe5KSNSSMoYrgCk9LzY0l1hVQltRrNNQ4Lj1N0RGkzzy
 UwXLkUivz+toRxas05I96bWRy6xfJ4ZOzj/eL6/B1bl/cMJ3sU9AH+yTr/QFVMVrdA
 R+FIcg+sH8PyqZH+xyBR+xJwnOx8yHcJ9yWYoWkeWhEi4pW6ahJyVVF5/0RqbMZkhj
 qHVTHM6FOxV/BGGQF9gYxvqRyTe30q1vmQpIotHlSFgEKcBzpGm9A3luUl8dVN7SdU
 W0j7H+PaZ6Xfw==
Message-ID: <Khp-dwv--3-0@HIDDEN>
In-Reply-To: <bcziflif6j.fsf@HIDDEN>
References: <KhUSwGn--3-0@HIDDEN> <<KhUSwGn--3-0@HIDDEN> (Muto's
 message of "Wed, 12 Apr 2017
 02:02:17 +0200 (CEST)")> <tsziflbela.fsf@HIDDEN>
 <<tsziflbela.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 12 Apr 2017 15:39:13 -0400")> <bcziflif6j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_61434_2065428189.1492316759299"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
Date: Sun, 16 Apr 2017 06:25:59 +0200 (CEST)
From: Muto <muto.lachen@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>, 26455 <at> debbugs.gnu.org
Subject: Re: bug#26455: Emacs Packaging
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26455
X-Mailman-Approved-At: Mon, 17 Apr 2017 13:16:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

------=_Part_61434_2065428189.1492316759299
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit


Sorry for the late reply, been thinking it over.
I have to say I completely agree with you, to keep all the libraries up to date inside a .appimage package would be awkward to maintain.
Perhaps I'll write a tool to help simplify this method someday.

So about installing Emacs (the latest version), maybe have a list off packages the user needs for it, at least the packages that aren't usually installed by default, on the "Download" page?

e.g.:
To install Emacs from source, make sure you have the following packages installed:
build-essential texinfo libx11-dev libxpm-dev libjpeg-dev libpng-dev libgif-dev libtiff-dev libgtk2.0-dev libncurses-dev libxpm-dev automake autoconf
Then simply "./configure" "make" "make install"

Although, I'm not sure, many package names are different by other GNU/Linux distributions.
Sorry for the long letter, I'm sure you're really busy, but thank you for your time.

- -Stay paranoid. -Muto
https://mastodon.social/@MutoShack


12. Apr 2017 13:44 by rgm@HIDDEN:


>
> PS If these technologies take off, this perhaps feels like something
> that should be addressed at the GNU level rather than the Emacs level.
> (Perhaps guix already provides some version of this?)
------=_Part_61434_2065428189.1492316759299
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  </head>
  <body>
<br />Sorry for the late reply, been thinking it over.<br />I have to say I completely agree with you, to keep all the libraries up to date inside a .appimage package would be awkward to maintain.<br />Perhaps I'll write a tool to help simplify this method someday.<br /><br />So about installing Emacs (the latest version), maybe have a list off packages the user needs for it, at least the packages that aren't usually installed by default, on the &quot;Download&quot; page?<br /><br />e.g.:<br />To install Emacs from source, make sure you have the following packages installed:<br />build-essential texinfo libx11-dev libxpm-dev libjpeg-dev libpng-dev 
libgif-dev libtiff-dev libgtk2.0-dev libncurses-dev libxpm-dev automake 
autoconf<br />Then simply &quot;./configure&quot; &quot;make&quot; &quot;make install&quot;<br /><br />Although, I'm not sure, many package names are different by other GNU/Linux distributions.<br />Sorry for the long letter, I'm sure you're really busy, but thank you for your time.<br /><br />- -<div>Stay paranoid. -Muto<br /></div><div><a href="https://mastodon.social/@MutoShack" target="_blank" rel="noopener noreferrer">https://mastodon.social/@MutoShack</a><br /></div><br /><br />12. Apr 2017 13:44 by <a href="mailto:rgm@HIDDEN" target="_blank" rel="noopener noreferrer">rgm@HIDDEN</a>:<br /><br /><blockquote class="tutanota_quote" style="border-left: 1px solid #93A3B8; padding-left: 10px; margin-left: 5px;"><br />PS If these technologies take off, this perhaps feels like something<br />that should be addressed at the GNU level rather than the Emacs level.<br />(Perhaps guix already provides some version of this?)</blockquote>  </body>
</html>

------=_Part_61434_2065428189.1492316759299--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26455; Package emacs. Full text available.

Message received at 26455 <at> debbugs.gnu.org:


Received: (at 26455) by debbugs.gnu.org; 12 Apr 2017 19:44:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 12 15:44:47 2017
Received: from localhost ([127.0.0.1]:44784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cyOC7-00044Z-25
	for submit <at> debbugs.gnu.org; Wed, 12 Apr 2017 15:44:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cyOC5-00044B-CR
 for 26455 <at> debbugs.gnu.org; Wed, 12 Apr 2017 15:44:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cyOBz-000411-J0
 for 26455 <at> debbugs.gnu.org; Wed, 12 Apr 2017 15:44:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49536)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cyOBw-00040A-PU; Wed, 12 Apr 2017 15:44:36 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cyOBw-0005do-CQ; Wed, 12 Apr 2017 15:44:36 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Muto <muto.lachen@HIDDEN>
Subject: Re: bug#26455: Emacs Packaging
References: <KhUSwGn--3-0@HIDDEN> <tsziflbela.fsf@HIDDEN>
X-Spook: AIEWS Hostage encryption Blowpipe David John Oates
X-Ran: ;^:jrUgsDQ9CE.Uk>YOGVTQ1&|V;\5{j.+5hdEr5*M<=naZL3j.GeUR|#X,Ji^@n0_sMRk
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 12 Apr 2017 15:44:36 -0400
In-Reply-To: <tsziflbela.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 12 Apr 2017 15:39:13 -0400")
Message-ID: <bcziflif6j.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26455
Cc: 26455 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


PS If these technologies take off, this perhaps feels like something
that should be addressed at the GNU level rather than the Emacs level.
(Perhaps guix already provides some version of this?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26455; Package emacs. Full text available.

Message received at 26455 <at> debbugs.gnu.org:


Received: (at 26455) by debbugs.gnu.org; 12 Apr 2017 19:39:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 12 15:39:27 2017
Received: from localhost ([127.0.0.1]:44777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cyO6x-0003wZ-7J
	for submit <at> debbugs.gnu.org; Wed, 12 Apr 2017 15:39:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cyO6w-0003wM-AJ
 for 26455 <at> debbugs.gnu.org; Wed, 12 Apr 2017 15:39:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cyO6q-00027M-7t
 for 26455 <at> debbugs.gnu.org; Wed, 12 Apr 2017 15:39:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49480)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cyO6k-00025n-9X; Wed, 12 Apr 2017 15:39:14 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cyO6j-0005JL-UP; Wed, 12 Apr 2017 15:39:13 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Muto <muto.lachen@HIDDEN>
Subject: Re: bug#26455: Emacs Packaging
References: <KhUSwGn--3-0@HIDDEN>
X-Spook: Forest fire Secure Border Initiative Airplane CESID
X-Ran: g2VG#3^/)/"Ie^(7|q/n1)jIu:qsg[?%A8AntZy\qHJ*2,>X5&)[VVhIf!DF_v4iWle3$,
X-Hue: white
X-Attribution: GM
Date: Wed, 12 Apr 2017 15:39:13 -0400
In-Reply-To: <KhUSwGn--3-0@HIDDEN> (Muto's message of "Wed, 12 Apr 2017
 02:02:17 +0200 (CEST)")
Message-ID: <tsziflbela.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26455
Cc: 26455 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Muto wrote:

> Although technically not a bug, the "Download" section in the Emacs
> website is somewhat vague in describing how to install Emacs in
> GNU/Linux. Rather than the options "build from source" or "use an
> older version", I believe Emacs should ship packaged with a tool such
> as
> AppImage (http://appimage.org)
> Or FlatPak (http://flatpak.org).
> This way installation on GNU/Linux systems would be simplified
> significantly and on top of that users would have easy access to the
> latest version rather than installing from a repository.

Staying paranoid as requested:

Do these approaches mean that the Emacs developers then become
responsible for shipping all the required dependent libraries,
monitoring them for security issues, and updating them when needed,
rather than relying on the distribution to do that?

> --Stay paranoid, and happy hacking! -Muto




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26455; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Apr 2017 00:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 11 20:18:00 2017
Received: from localhost ([127.0.0.1]:43467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cy5yy-0001rx-EV
	for submit <at> debbugs.gnu.org; Tue, 11 Apr 2017 20:18:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <muto.lachen@HIDDEN>) id 1cy5k2-0001V1-9I
 for submit <at> debbugs.gnu.org; Tue, 11 Apr 2017 20:02:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <muto.lachen@HIDDEN>) id 1cy5jw-0000Sz-8p
 for submit <at> debbugs.gnu.org; Tue, 11 Apr 2017 20:02:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60288)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <muto.lachen@HIDDEN>)
 id 1cy5jw-0000Ss-5Z
 for submit <at> debbugs.gnu.org; Tue, 11 Apr 2017 20:02:28 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57304)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <muto.lachen@HIDDEN>) id 1cy5ju-0008O6-NI
 for bug-gnu-emacs@HIDDEN; Tue, 11 Apr 2017 20:02:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <muto.lachen@HIDDEN>) id 1cy5jq-0000RZ-QR
 for bug-gnu-emacs@HIDDEN; Tue, 11 Apr 2017 20:02:26 -0400
Received: from w1.tutanota.de ([81.3.6.162]:41455)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <muto.lachen@HIDDEN>)
 id 1cy5jq-0000R3-Fz
 for bug-gnu-emacs@HIDDEN; Tue, 11 Apr 2017 20:02:22 -0400
Received: from localhost (unknown [127.0.0.1])
 by w1.tutanota.de (Postfix) with ESMTP id 17FBCFA9CB0
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Apr 2017 00:02:19 +0000 (UTC)
Received: from w1.tutanota.de ([127.0.0.1])
 by localhost (w1.tutanota.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id aBij9ZG0I0BZ for <bug-gnu-emacs@HIDDEN>;
 Wed, 12 Apr 2017 02:02:17 +0200 (CEST)
Received: from w1.tutanota.de (unknown [127.0.0.1])
 by w1.tutanota.de (Postfix) with ESMTP id 85E2CFA9C10
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Apr 2017 00:02:17 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=tutanota.com;
 s=20161216; t=1491955337;
 bh=R6avwSMUkSWvZZdlME7XIrT+G5znkpIaLvJ9wh2a8CU=;
 h=Date:From:To:Subject:From;
 b=d+QdOQNFlBiToKpW9I6Bpc/LwN2wbBZc5CCXGOEHu4eNIPKx7GzTj57sctNIF1mJw
 IccUk+Y12b+GIk3EDEE8T3aA53ia+MCATlNqIYcLGou09rgRQT2p4+oR6Dq5P3E8rU
 QzPCw1nh0+q1mJot94UOJDs/m+jPrW5cPQ4ZPCvYCgI1dGwyVE5bDdzwhWJfAFPGwv
 0Edp4EGJ0EZM+9EBGt6xcl1kDNElQvLxA37IloBy5fhOiz8xrfRMmZnSK7f849Ej/C
 Stph4dnWPpx6mQ2e+yrCfZlumK8kAVgqbC+oqvX1grYHS5gAJd0KbNGBWOlYcfDHbF
 uY3tlPDIKc85A==
Date: Wed, 12 Apr 2017 02:02:17 +0200 (CEST)
From: Muto <muto.lachen@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Message-ID: <KhUSwGn--3-0@HIDDEN>
Subject: Emacs Packaging
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_312630_183911278.1491955337514"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 11 Apr 2017 20:17:59 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

------=_Part_312630_183911278.1491955337514
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit


Request to alter the "recommended" way of installing Emacs in GNU/Linux:

Although technically not a bug, the "Download" section in the Emacs website is somewhat vague in describing how to install Emacs in GNU/Linux. Rather than the options "build from source" or "use an older version", I believe Emacs should ship packaged with a tool such as 
AppImage (http://appimage.org)
Or FlatPak (http://flatpak.org).
This way installation on GNU/Linux systems would be simplified significantly and on top of that users would have easy access to the latest version rather than installing from a repository.
--Stay paranoid, and happy hacking! -Muto
https://mastodon.social/@MutoShack

------=_Part_312630_183911278.1491955337514
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<br />Request to alter the &quot;recommended&quot; way of installing Emacs =
in GNU/Linux:<br /><br />Although technically not a bug, the &quot;Download=
&quot; section in the Emacs website is somewhat vague in describing how to =
install Emacs in GNU/Linux. Rather than the options &quot;build from source=
&quot; or &quot;use an older version&quot;, I believe Emacs should ship pac=
kaged with a tool such as <br />AppImage (<a href=3D"http://appimage.org/" =
target=3D"_blank" rel=3D"noopener noreferrer">http://appimage.org</a>)<br /=
>Or FlatPak (<a href=3D"http://flatpak.org/" target=3D"_blank" rel=3D"noope=
ner noreferrer">http://flatpak.org</a>).<br />This way installation on GNU/=
Linux systems would be simplified significantly and on top of that users wo=
uld have easy access to the latest version rather than installing from a re=
pository.<br />--<div>Stay paranoid, and happy hacking! -Muto<br /></div><d=
iv><a href=3D"https://mastodon.social/@MutoShack" target=3D"_blank" rel=3D"=
noopener noreferrer">https://mastodon.social/@MutoShack</a><br /></div>  </=
body>
</html>

------=_Part_312630_183911278.1491955337514--




Acknowledgement sent to Muto <muto.lachen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26455; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Apr 2018 21:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.